%define upstream_name Dist-Zilla-Plugin-CheckIssues
%define upstream_version 0.011

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Retrieve count of outstanding RT and github issues for your distribution
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta::Requirements) >= 2.120.620
BuildRequires: perl(Dist::Zilla) >= 4.300.39
BuildRequires: perl(Dist::Zilla::App)
BuildRequires: perl(Dist::Zilla::App::Tester)
BuildRequires: perl(Dist::Zilla::Role::BeforeRelease)
BuildRequires: perl(Dist::Zilla::Role::MetaProvider)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::pushd)
BuildRequires: perl(HTTP::Headers)
BuildRequires: perl(HTTP::Tiny)
BuildRequires: perl(JSON::MaybeXS) >= 1.1.0
BuildRequires: perl(List::Util) >= 1.330.0
BuildRequires: perl(Log::Dispatch) >= 2.490.0
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Term::ANSIColor) >= 3.0.0
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(if)
BuildRequires: perl(lib)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Retrieve count of outstanding RT and github issues for your distribution.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.11.0-4.mga10
+ Revision: 2205641
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.11.0-3.mga9
+ Revision: 1811918
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 0.11.0-2.mga8
+ Revision: 1533566
- Mageia 8 Mass Rebuild

* Mon Sep 23 2019 tv <tv> 0.11.0-1.mga8
+ Revision: 1444706
- update to 0.011

* Thu Sep 20 2018 umeabot <umeabot> 0.10.0-2.mga7
+ Revision: 1282997
- Mageia 7 Mass Rebuild

* Fri Jul 21 2017 sander85 <sander85> 0.10.0-1.mga7
+ Revision: 1125934
- update to 0.010

* Sun Jun 19 2016 pterjan <pterjan> 0.9.0-3.mga6
+ Revision: 1026152
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.9.0-2.mga6
+ Revision: 969997
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 0.9.0-1.mga6
+ Revision: 884532
- update to 0.009

* Sun Jun 28 2015 sander85 <sander85> 0.8.0-1.mga6
+ Revision: 846828
- imported package perl-Dist-Zilla-Plugin-CheckIssues

